Contacts

Get contact protection status

GET
/api/contacts/{id}/protection-status

Returns whether the caller is currently blocked from this contact by the organization's contactProtectionPeriod. Admins, owners, and assigned reps bypass protection.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/contacts/string/protection-status"
{  "success": true,  "data": {    "isProtected": true,    "protectedUntil": "2026-05-22T09:12:00.000Z",    "ownerName": "Alex Rep",    "ownerLastMessageAt": "2026-05-15T09:12:00.000Z"  }}